D4Science Infrastructure - Task #12789

DMPoolManger - Support Python 3.6
Oct 26, 2018 12:12 PM - Giancarlo Panichi

Status: Closed Start date: Oct 26, 2018
Priority: Normal Due date: Nov 19, 2018
Assignee: Giancarlo Panichi % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: DMPoolManager - Support Algorithms

Integragtion
Infrastructure: Development, Pre-Production
Description

We need to support the installation of algorithms written with Python3.6.

For this it is necessary that in the DMPoolManager the management of the dependencies list is modified and is updated the
Resource on the IS that contains this information.

The changes to the DMPoolManager code on trunk have already been done by me, so can you check that everything works
correctly?

For the Resource instead two lines should be added with the element:
<deps-python3_6 />
Report the change to the resource below:

<Resource version="0.4.x">

<ID>a38af35c-£822-4bc2-8846-e51671185cc8</ID>

<Type>GenericResource</Type>

<Scopes>
<Scope>/gcube/preprod</Scope>
<Scope>/gcube/preprod/preVRE</Scope>

</Scopes>

<Profile>
<SecondaryType>DMPMConfigurator</SecondaryType>
<Name>DataMinerPoolManagerConfigurator</Name>
<Description />
<Body>

<svn.repository>https://svn.d4science.research—-infrastructures.eu/gcube</svn.repository>

<svn.algo.main.repo>/trunk/data-analysis/DataMinerConfiguration/algorithms</svn.algo.main
.repo>
<stage>

<ghost>dataminer-ghost-t.pre.d4science.org</ghost>

<algorithms-list>/trunk/data-analysis/DataMinerConfiguration/algorithms/preprod/algori
thms</algorithms-list>

<software.repo>/trunk/data-analysis/DataMinerConfiguration/algorithms/preprod/software
</software.repo>

<algo.ghost.repo>/home/gcube/wps_algorithms/algorithms/preprod/software</algo.ghost.re
po>

<deps-linux-compiled>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkg
s.txt</deps-linux-compiled>

<deps-pre-installed>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs
.txt</deps-pre-installed>

<deps-r-blackbox>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.tx
t, /trunk/data-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt, /trunk/data-analysis/R
Configuration/RPackagesManagement/r_github_pkgs.txt</deps-r-blackbox>

<deps-r>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.txt, /trunk
/data—-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt, /trunk/data-analysis/RConfigura
tion/RPackagesManagement /r_github_pkgs.txt</deps—-r>

<deps-java />

<deps-knime-workflow />

<deps-octave />

<deps-python />
<deps-python3_6 />
<deps-windows-compiled />
</stage>
<prod>
<ghost />
<algorithms-list>/trunk/data-analysis/DataMinerConfiguration/algorithms/prod/algorithm
s</algorithms-1list>
<software.repo>/trunk/data-analysis/DataMinerConfiguration/algorithms/prod/software</s
oftware.repo>
<algo.ghost.repo>/home/gcube/wps_algorithms/algorithms/prod/software</algo.ghost.repo>

<deps-linux-compiled>/trunk/data—-analysis/RConfiguration/RPackagesManagement/r_deb_pkg
s.txt</deps-linux-compiled>

<deps-pre-installed>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs
.txt</deps-pre-installed>

<deps-r-blackbox>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.tx
t, /trunk/data-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt, /trunk/data-analysis/R
Configuration/RPackagesManagement/r_github_pkgs.txt</deps-r-blackbox>

<deps-r>/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.txt, /trunk
/data—-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt, /trunk/data-analysis/RConfigura
tion/RPackagesManagement/r_github_pkgs.txt</deps—-r>

<deps-java />

<deps-knime-workflow />

<deps-octave />

<deps-python />

<deps-python3_6 />

<deps-windows-compiled />

</prod>
</Body>
</Profile>

</Resource>

Ciro, these changes should be reported in both Dev and Preprod because StorageHub currently only works in Preprod.
Please, can you coordinate with @roberto.cirillo@isti.cnr.it for Preprod?

Thanks

Related issues:

Related to D4Science Infrastructure - Task #12742: DataMiner - Support Python... Closed Oct 19,2018 Nov 19, 2018
Related to D4Science Infrastructure - Upgrade #12865: D4Science Root VO upgra... Completed Nov 19,2018 Nov 19, 2018
History

#1 - Oct 26, 2018 12:27 PM - Giancarlo Panichi
- Related to Task #12742: DataMiner - Support Python 3.6 added

#2 - Oct 26, 2018 12:32 PM - Giancarlo Panichi

- Description updated

#3 - Nov 07, 2018 10:17 AM - Giancarlo Panichi
- Status changed from New to In Progress

- Assignee changed from Ciro Formisano to Giancarlo Panichi

| have updated the DMPoolManager to support Python 3.6.
Currently the solution is being tested if it works will be released in gCube 4.13, in this case all the DataMiner will also be updated.

#4 - Nov 12, 2018 10:27 AM - Giancarlo Panichi
- % Done changed from 0 to 100

The tests have been successful, everything works correctly.
The support to Python 3.6 will be released in gCube 4.13.
During the release, the resources of the DMPoolManager and of the SAI must be updated.

#5 - Nov 13, 2018 10:16 AM - Roberto Cirillo
- Related to Upgrade #12865: D4Science Root VO upgrade to gCube 4.13 added
#6 - Nov 22, 2018 03:37 PM - Giancarlo Panichi
- Due date set to Nov 19, 2018

- Status changed from In Progress to Closed

The component has been released in gCube 4.13 see ticket #12440
